> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Crypto Onramp Status

> This endpoint will be used to get the status of the transaction

This endpoint will be used to get the status of the crypto onramp transaction.


## OpenAPI

````yaml GET /api/v3/onramp/crypto/{referenceId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/onramp/crypto/{referenceId}:
    get:
      tags:
        - ONRAMP
      summary: Get Status Response
      description: This endpoint will be used to get the status of the transaction
      operationId: OnrampController_getOnrampCrypto_api/v3
      parameters:
        - name: referenceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Onramp crypto status successfully retrieved.
                  data:
                    $ref: '#/components/schemas/OnrampCryptoResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Not Found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    OnrampCryptoResponseDto:
      type: object
      properties:
        referenceId:
          type: string
          description: The reference ID of the onramp crypto transaction
        status:
          type: string
          description: The status of the onramp crypto transaction
        cryptoAmount:
          type: number
          description: The amount of crypto sent
        cryptoAmountReceived:
          type: number
          description: The amount of crypto received
        feeInCrypto:
          type: number
          description: The fee in crypto
        feeType:
          type: string
          description: The type of fee
        cryptoWallet:
          type: string
          description: The ID of the crypto wallet
        chain:
          type: object
          description: The chain of the onramp crypto transaction
        token:
          type: object
          description: The token of the onramp crypto transaction
        transactionHash:
          type: string
          description: The transaction hash of the onramp crypto transaction
      required:
        - referenceId
        - status
        - cryptoAmount
        - cryptoAmountReceived
        - feeInCrypto
        - feeType
        - cryptoWallet
        - chain
        - token
        - transactionHash
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````